## pbuilder 0.176ubuntu2

=== Makefile ===
INSTALL_DIRECTORY=install -d -m 0755 
INSTALL_FILE=install -m 0644
INSTALL_EXECUTABLE=install -m 0755


#
# To add new script, add it to here, so that it will be tested. And then add a rule to install: target.
#
SHELLCODES=pbuilder-buildpackage \
	pbuilder-buildpackage-funcs \
	pbuilder-checkparams \
	pbuilder-uml-checkparams \
	pbuilder-createbuildenv \
	pbuilder-loadconfig \
	pbuilder-modules \
	pbuilder-runhooks \
	pbuilder-satisfydepends-classic \
	pbuilder-satisfydepends-gdebi \
	pbuilder-satisfydepends-funcs \
	pbuilder-satisfydepends-checkparams \
	pbuilder-satisfydepends-aptitude \
	pbuilder-satisfydepends-experimental \
	pbuilder-updatebuildenv \
	pbuilder-user-mode-linux \
	pbuilder \
	pdebuild \
	pdebuild-checkparams \
	pdebuild-user-mode-linux \
	pdebuild-internal

check:
	set -e;
	for A in $(SHELLCODES); do \
		bash -n $$A; \
		echo $$A; \
	done

full-check: 
	set -e; \
	cd testsuite; \
	./run-test.sh 

clean:
	rm -f *.bak *~ TAGS
	rm -f testsuite/testimage
	rm -rf testsuite/testbuild testsuite/testbuild2

TAGS:
	etags pbuilder-* pbuilder

install:
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/etc/bash_completion.d
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/sbin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/bin
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/lib/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-buildpackage-funcs $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-createbuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-updatebuildenv $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-loadconfig $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-runhooks $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-uml-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-modules $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
	$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pbuilder-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
	$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin

	#install aptitude as the default satisfydepends 
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-aptitude $(DESTDIR)/usr/lib/pbuilder/pbuilder-satisfydepends
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-classic $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-gdebi $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-aptitude $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-experimental $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-checkparams $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-funcs $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
	$(INSTALL_FILE) bash_completion.pbuilder $(DESTDIR)/etc/bash_completion.d/pbuilder
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/etc/pbuilder
	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/usr/share/pbuilder
	$(INSTALL_FILE) examples/pbuilderrc.ccache $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B90linda $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B92test-pkg $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/C11screen $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B90list-missing $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/B91debc $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_installtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/execute_paramtest.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/pbuilder-distribution.sh $(DESTDIR)/usr/share/doc/pbuilder/examples
	$(INSTALL_EXECUTABLE) examples/rebuild/buildall $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_EXECUTABLE) examples/rebuild/getlist $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_FILE) examples/rebuild/README $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
	$(INSTALL_FILE) examples/pbuilder-test/README $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/000_prepinstall $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/001_apprun $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/002_libfile $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_FILE) examples/pbuilder-test/002_sample.c $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/003_makecheck $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
	$(INSTALL_EXECUTABLE) examples/pbuilder-test/004_ldd $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test

	$(INSTALL_FILE) examples/lvmpbuilder/README $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_FILE) examples/lvmpbuilder/STRATEGY $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_EXECUTABLE) examples/lvmpbuilder/lvmbuilder $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
	$(INSTALL_FILE) examples/lvmpbuilder/lib/lvmbuilder-checkparams $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib
	$(INSTALL_FILE) examples/lvmpbuilder/lib/lvmbuilder-modules $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib
	$(INSTALL_FILE) examples/lvmpbuilder/lib/lvmbuilder-unimplemented $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib

	# install workaround for initscripts -- 2005-12-21
	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround
	$(INSTALL_EXECUTABLE) examples/E50-initscripts-2.86.ds1-7.workaround.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround
	$(INSTALL_EXECUTABLE) examples/G50-initscripts-2.86.ds1-11-cdebootstrap0.3.9.sh $(DESTDIR)/usr/share/doc/pbuilder/examples/workaround

	cd pbuildd; make install DESTDIR=$(DESTDIR)
	cd Documentation; make install DESTDIR=$(DESTDIR)

=== Documentation/Makefile ===
# makefile for documentation for pbuilder.

#required packages:
# docbook-xsl
# ldp-docbook-xsl
# xsltproc
# po4a
# dblatex

# the main XML file which is source to all documents
MASTERXML=pbuilder-doc.xml
HTMLDOCS= pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html

all: pbuilder-doc.html pbuilder-doc.ja.html pbuilder-doc.fr.html

%.html: %.xml pbuilder-doc.xsl
	xsltproc pbuilder-doc.xsl $< > $@.tmp
	mv $@.tmp $@

pbuilder-doc.%.xml: pbuilder-doc.%.po
	po4a-translate -f docbook -m $(MASTERXML) -p $< -l $@ -k 1

pbuilder-doc.%.po: $(MASTERXML)
	po4a-updatepo -f docbook -m $< -p $@ 

%.pdf: %.xml
	# requires dblatex package.
	dblatex $<

install: $(HTMLDOCS) pbuilder-doc.pdf
	install -d -m 755 -o root -g root $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root $(HTMLDOCS) $(DESTDIR)/usr/share/doc/pbuilder/
	install -m 644 -o root -g root pbuilder-doc.pdf $(DESTDIR)/usr/share/doc/pbuilder/

preview: pbuilder-doc.html
	mozilla-firefox -remote "openfile($(PWD)/$<)"

release: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	scp $^ cvs.alioth.debian.org:/org/alioth.debian.org/chroot/home/groups/pbuilder/htdocs/ 
	$(MAKE) release-netfort

# for my homepage-publishing.
release-netfort: pbuilder-doc.html pbuilder-doc.xml pbuilder-doc.css pbuilder-doc.xsl pbuilder-doc.pdf
	cp $^ ~/public_html/netfort/software/pbuilder-doc/

clean: 
	-rm pbuilder-doc.pdf pbuilder-doc.glo pbuilder-doc.idx pbuilder-doc.log pbuilder-doc.out \
		pbuilder-doc.aux

.PHONY: preview release-netfort release clean

=== pbuildd/Makefile ===
PBUILDDDIR=/usr/share/doc/pbuilder/examples/pbuildd/

clean:
	-rm *~

install:
	install -d $(DESTDIR)$(PBUILDDDIR)
	install -d $(DESTDIR)$(PBUILDDDIR)/hookdir
	install -d $(DESTDIR)/var/cache/pbuilder/pbuildd
	install -m 755 -o root -g root buildd.sh $(DESTDIR)$(PBUILDDDIR)
	install -m 644 -o root -g root buildd-config.sh $(DESTDIR)/etc/pbuilder/
	install -m 755 -o root -g root hookdir/A10dpkg-l.sh $(DESTDIR)$(PBUILDDDIR)/hookdir

=== debian/changelog ===
pbuilder (0.176ubuntu2) hardy; urgency=low

  [ Daniel Hahler ]
  * pbuilderrc: use "sudo -E" for PBUILDERROOTCMD (LP: #175776)
  * pbuilder-satisfydepends-gdebi: add "--force-yes" to apt-get call
    (LP: #123068)
  * pdebuild: Move "$@" to end of "arg chain" for PDEBUILD_BUILDER
    calls, so that "--buildresult" option gets passed to pbuilder
    (LP: #129586)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Feb 2008 12:49:35 +0100

pbuilder (0.176ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    * debian/control:
      - Prefer debootstrap over cdebootstrap.
      - DebianMaintainerField.
      - Remove rootstrap build-dependency.
      - add missing po4a build-dep
    * Makefile:
      - Addded pbuilder-satisfydepends-gdebi
    * pbuilder-buildpackage-funcs:
      - always pass --chroot to the pbuilder-satisfydepends (needed for
        pbuilder-satisfydepends-gdebi)
    * pbuilderrc:
      - Set default archive to "archive.ubuntu.com".
      - Set default distribution to "hardy".
      - Set Ubuntu components.
      - Don't create a buildd variant by default.
      - Use debootstrap rather than cdebootstrap.
    * pbuilder-satisfydepends-gdebi:
      - added alternative b-d resolver that should should speed up b-d
        resolution quite a bit.
   * Support for specifying components is now included in Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Nov 2007 10:16:12 +0100

pbuilder (0.176) unstable; urgency=low

  [ Loic Minier ]
  * Do not install recommends in pbuilder-satisfydepends-aptitude. 
  explicitly add -o APT::Install-Recommends=false 

  [ Junichi Uekawa ]
  * Create /etc/apt/apt.conf.d just in case it doesn't exist. (Closes:
  #452584).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 25 Nov 2007 12:41:42 +0900

pbuilder (0.175) unstable; urgency=low

  * debian/control: Vcs-Browser and Vcs-Git instead of XS-*.
  * Bug fix: "pbuilder: pdebuild - Breakage when using XC- headers",
    thanks to Soren Hansen (Closes: #448757).
  * Bug fix: "pbuilder: French documentation translation", thanks to
    Vincent Bernat (Closes: #448294).
  * Bug fix: "pbuilder-satisfydepends-classic should pass
    -o APT::Install-Recommends=false to apt-get", thanks to Daniel Schepler
    (Closes: #448562).
  * set /etc/apt/apt.conf.d/15pbuilder so that Install-Recommends is false.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Nov 2007 19:22:00 +0900

=== debian/control ===
Source: pbuilder
Section: devel
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, po4a
Standards-Version: 3.7.2
Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git

Package: pbuilder
Architecture: all
Depends: debootstrap|cdebootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
Recommends: fakeroot, sudo, devscripts, cowdancer
Suggests: pbuilder-uml
Description: personal package builder for Debian packages
 pbuilder constructs a chroot system, and builds a package inside the
 chroot. 
 It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 "pbuilder create" uses debootstrap to create a chroot image. 
 .
 "pbuilder update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder build" takes a *.dsc file and builds a binary in the chroot
 image.
 .
 pdebuild is a wrapper for Debian Developers, to allow running
 pbuilder just like "debuild", as a normal user.

Package: pbuilder-uml
Architecture: i386 amd64
Depends: rootstrap (>= 0.3.9-1), user-mode-linux, pbuilder (= ${source:Version})
Description: user-mode-linux version of pbuilder
 pbuilder-uml uses a User-mode-linux system, and builds Debian packages
 inside the UML image. It is an ideal system to use to check 
 that a package has correct build-dependencies.
 It uses apt extensively, and a local mirror, or a fast connection
 to a Debian mirror is ideal, but not necessary.
 .
 Requires user-mode-linux to function correctly
 .
 "pbuilder-user-mode-linux create" uses rootstrap to create UML image
 .
 "pbuilder-user-mode-linux update" updates the image to the current state of
 testing/unstable/whatever
 .
 "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary in the UML

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp 
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/build-package.
	$(MAKE) check
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installman pbuilder.8 pbuilderrc.5 pdebuild.1 debuild-pbuilder.1 
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
ifneq (,$(findstring ${ARCH},i386 amd64))
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
	dh_installchangelogs -a
	dh_link -a
	dh_compress -a -X.pdf
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol  -a
	dh_md5sums  -a
	dh_builddeb -a
endif


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pbuilder 0.179~bpo40+1

=== Makefile ===
--- 
+++ 
@@ -88,13 +88,13 @@
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-checkparams $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pbuilder-satisfydepends-funcs $(DESTDIR)/usr/lib/pbuilder/
 	$(INSTALL_EXECUTABLE) pdebuild-internal $(DESTDIR)/usr/lib/pbuilder/
+	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_FILE) bash_completion.pbuilder $(DESTDIR)/etc/bash_completion.d/pbuilder
-	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
 	$(INSTALL_FILE) pbuilderrc $(DESTDIR)/usr/share/pbuilder
 	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/etc/pbuilder
 	$(INSTALL_FILE) pbuilder-uml.conf $(DESTDIR)/usr/share/pbuilder
 	$(INSTALL_FILE) examples/pbuilderrc.ccache $(DESTDIR)/usr/share/doc/pbuilder/examples
-	$(INSTALL_EXECUTABLE) examples/B90linda $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/B90lintian $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/B91dpkg-i $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/B92test-pkg $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples

=== debian/changelog ===
pbuilder (0.179~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 25 Apr 2008 06:03:31 +0200

pbuilder (0.179) unstable; urgency=low

  [ Eddy Petrișor ]
  * added support for detection of the default mirror in postinst
    (Closes: #333294)
    - /etc/pbuilderrc is no longer a conffile
    - detection of the default MIRRORSITE relies on the information from
      /etc/apt/sources.list and /etc/apt/sources.list.d/
  * bumped versioned dependency on debhelper to (>= 4.1.16) as indicated in
    po-debconf manual

  [ po-debconf translations ]
  * iniatial Romanian translation (by Eddy Petrișor)
  * add ja.po (by Junichi Uekawa)

  [ Junichi Uekawa ]
  * French documentation update (closes: #465515)
  * remove linda and use lintian, linda is now gone.
  * use cdn.debian.net for default Debian mirror
  * Documentation: revise information about Git commit logs and changelog.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 29 Mar 2008 15:41:44 +0900

pbuilder (0.178) unstable; urgency=low

  [ Junichi Uekawa ]
  * satisfydepends-gdebi: reorganize code to go in-line with other
    funcs.
  * gdebi: install gdebi-core, not gdebi into chroot.
  * revise japanese documentation
  * Do not show "Upgrading for distribution xyz" message on update when
    --override-config is not specified (closes: #459432)

  [ Loïc Minier ]
  * Set APT::Get::AutomaticRemove=true in upgrade instead of calling
    autoremove

 -- Junichi Uekawa <dancer@debian.org>  Sat, 02 Feb 2008 10:58:34 +0900

pbuilder (0.177) unstable; urgency=low

  [ Loic Minier ]
  * Run apt-get autoremove after upgrade.

  [ Junichi Uekawa ]
  * python-apt/gdebi based pbuilder-satisfydepends-gdebi (closes:
    #453388)
  * Fix devpts mount permissions (closes: #453862)
  * Document pbuilder-satisfydepends-gebi in manpage

 -- Junichi Uekawa <dancer@debian.org>  Wed, 26 Dec 2007 20:53:24 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.1.0), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, po4a
+Build-Depends: debhelper (>= 4.1.16), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, rootstrap [i386 amd64], debconf|debconf-2.0, po-debconf
 Standards-Version: 3.7.2
 Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
 Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all
-Depends: debootstrap|cdebootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1)
+Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1), ${misc:Depends}
 Recommends: fakeroot, sudo, devscripts, cowdancer
 Suggests: pbuilder-uml
 Description: personal package builder for Debian packages

## pbuilder 0.181

=== debian/changelog ===
pbuilder (0.181) unstable; urgency=low

  [ Esko Arajärvi ]
  * Finnish translation of the debconf templates (closes: #482108)

  [ Jordà Polo ]
  * Catalan debconf templates translation update (closes: #481930)

  [ xabier bilbao ]
  * Basque translation (closes: #481842)

  [ Yuri Kozlov ]
  * Russian debconf templates translation (closes: #481711)

  [ Miroslav Kure ]
  * Czech translation of pbuilder debconf messages (closes: #481627)

  [ Jacobo Tarrio ]
  * Galician debconf template translation (closes: #481118)

  [ Junichi Uekawa ]
  * documentation .po files changed.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 24 May 2008 22:09:39 +0900

pbuilder (0.180) unstable; urgency=low

  [ Sylvain Beucler ]
  * lvmpbuilder is not complete in the binary packages (closes: #475363)

  [ Sandro Tosi ]
  * pbuilder: html doc enhancement (closes: #478021)

  [ Junichi Uekawa ]
  * umount on failed bind-mount (closes: #474771)
  * [INTL:de] initial German debconf translation (closes: #475046)
  * pbuilder: French debconf templates translation (closes: #474567)
  * pbuilder: [INTL:pt] Portuguese translation for debconf messages
    (closes: 473825)
  * --create with --basetgz will not fail file does not exist (closes:
    #451835)
  * add po4a build-dependency (closes: #480633)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 12 May 2008 08:12:52 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.1.16), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, rootstrap [i386 amd64], debconf|debconf-2.0, po-debconf
+Build-Depends: debhelper (>= 4.1.16), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, rootstrap [i386 amd64], debconf|debconf-2.0, po-debconf, po4a
 Standards-Version: 3.7.2
 Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
 Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git

=== debian/rules ===
--- 
+++ 
@@ -49,6 +49,7 @@
 	dh_installdocs -i
 	dh_installman pbuilder.8 pbuilderrc.5 pdebuild.1 debuild-pbuilder.1 
 	dh_installchangelogs -i
+	dh_installdebconf
 	dh_link -i
 	dh_compress -i -X.pdf
 	dh_fixperms -i

## pbuilder 0.181ubuntu7

=== Makefile ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/rebuild
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/pbuilder-test
 	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder
+	$(INSTALL_DIRECTORY) $(DESTDIR)/usr/share/doc/pbuilder/examples/lvmpbuilder/lib
 	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-mnt
 	$(INSTALL_DIRECTORY) $(DESTDIR)/var/cache/pbuilder/pbuilder-umlresult
 	$(INSTALL_EXECUTABLE) pbuilder-buildpackage $(DESTDIR)/usr/lib/pbuilder/

=== debian/changelog ===
pbuilder (0.181ubuntu7) intrepid; urgency=low

  * Demote cowdancer from Recommends to Suggests. This fits Suggests
    semantics, and avoids pulling in qemu, bochs, gcc-3.4, and other stuff
    into main.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Oct 2008 10:20:45 +0200

pbuilder (0.181ubuntu6) intrepid; urgency=low

  * Fix: correctly handle multiple --debbuildopts (LP: #278213).

 -- TJ <ubuntu@tjworld.net>  Sat, 4 Oct 2008 18:30:00 +0200

pbuilder (0.181ubuntu5) intrepid; urgency=low

  * Fix condition that makes build twice in a row the default behavior. 
    (LP: #258808) 

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Mon, 18 Aug 2008 00:54:57 -0500

pbuilder (0.181ubuntu4) intrepid; urgency=low
  
  [ Nicolas Valcárcel ]
  * Make pbuilder lintian clean (LP: #254305):
    - Edit debian/rules to not ignore make clean errors
    - Modified Standars version
    - Update debconf templates
    - Modified doc-base Section to Debian according to new schema
    - Added interpreter to pbuildd/hookdir/A10dpkg-l.sh due lintian error
  * Added --twice build option (LP: #196008)
    - Edited manpage with the new option
    - Added option information on built-in help message
  
  [ Michael Vogt ]
  * Added gdebi-core to Suggests (LP: #131153)

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Sun, 03 Aug 2008 23:23:48 -0400

pbuilder (0.181ubuntu3) intrepid; urgency=low

  * Fix pbuilder-satisfydepends-gdebi:
    gdebi needs to be called from outside the chroot as the .dsc file isn't
    copied yet into the chroot (Closes: #472407, LP: #242449).

 -- Michael Bienia <geser@ubuntu.com>  Mon, 23 Jun 2008 21:17:53 +0200

pbuilder (0.181ubuntu2) intrepid; urgency=low

  * debian/rules: s/ -a/ -s/ to fix FTBFS on powerpc (LP: #184218)

 -- Daniel Hahler <ubuntu@thequod.de>  Fri, 20 Jun 2008 11:01:15 +0100

pbuilder (0.181ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    * debian/control:
      - Prefer debootstrap over cdebootstrap.
      - Remove rootstrap build-dependency.
    * pbuilderrc:
      - Set default archive to "archive.ubuntu.com".
      - Set default distribution to "intrepid".
      - Set Ubuntu components.
      - Don't create a buildd variant by default.
      - Use debootstrap rather than cdebootstrap.
      - pbuilderrc: use "sudo -E" for PBUILDERROOTCMD (LP: #175776)
    * pdebuild: Move "$@" to end of "arg chain" for PDEBUILD_BUILDER
      calls, so that "--buildresult" option gets passed to pbuilder
      (LP: #129586)
  * debian/pbuilder.config:
    - add explaination header on new install that the new /etc/pbuilderrc
      uses the default values from /usr/share/pbuilder/pbuilderrc

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 May 2008 10:51:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: pbuilder
 Section: devel
 Priority: extra
-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.1.16), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, rootstrap [i386 amd64], debconf|debconf-2.0, po-debconf, po4a
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 4.1.16), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, debconf|debconf-2.0, po-debconf, po4a
+Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
 Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all
-Depends: cdebootstrap|debootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1), ${misc:Depends}
-Recommends: fakeroot, sudo, devscripts, cowdancer
-Suggests: pbuilder-uml
+Depends: debootstrap|cdebootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1), ${misc:Depends}
+Recommends: fakeroot, sudo, devscripts
+Suggests: pbuilder-uml, gdebi-core, cowdancer
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
  chroot.

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
@@ -61,18 +61,18 @@
 # Build architecture-dependent files here.
 binary-arch: build install
 ifneq (,$(findstring ${ARCH},i386 amd64))
-	dh_testdir -a
-	dh_testroot -a
-	dh_installdocs -a
+	dh_testdir -s
+	dh_testroot -s
+	dh_installdocs -s
 	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
-	dh_installchangelogs -a
-	dh_link -a
-	dh_compress -a -X.pdf
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_gencontrol  -a
-	dh_md5sums  -a
-	dh_builddeb -a
+	dh_installchangelogs -s
+	dh_link -s
+	dh_compress -s -X.pdf
+	dh_fixperms -s
+	dh_installdeb -s
+	dh_gencontrol -s
+	dh_md5sums -s
+	dh_builddeb -s
 endif

## pbuilder 0.183ubuntu1~hardy1

=== Makefile ===
--- 
+++ 
@@ -29,10 +29,14 @@
 	pdebuild-internal
 
 check:
-	set -e;
+	set -e; \
 	for A in $(SHELLCODES); do \
 		bash -n $$A; \
 		echo $$A; \
+	done
+	set -e ; \
+	for A in test_*; do \
+		bash $$A; \
 	done
 
 full-check:

=== debian/changelog ===
pbuilder (0.183ubuntu1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Wed, 05 Nov 2008 22:57:37 +0000

pbuilder (0.183ubuntu1) jaunty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control: Prefer debootstrap over cdebootstrap.
    - debian/control: Demote cowdancer from Recommends to Suggests. This fits
      Suggests semantics. (Forwarded to Debian #504594)
    - debian/doc-base: Fix section. (Forwarded to Debian #504596)
    - pbuilderrc:
      + Set default archive to "archive.ubuntu.com".
      + Set default distribution to "jaunty".
      + Set Ubuntu components, but comment them out, so that it still defaults
        to "main".
      + Use debootstrap rather than cdebootstrap.
      + Use "sudo -E" for PBUILDERROOTCMD. (LP #175776, Debian #361362)
    - debian/pbuilder.config: add explanation header on new install that the
      new /etc/pbuilderrc uses the default values from
      /usr/share/pbuilder/pbuilderrc. (Forwarded to Debian #504599)
    - debian/pbuilder.templates, debian/pbuilder.config: Use Ubuntu mirror by
      default.
    - pbuilder-satisfydepends-checkparams, pbuilder-satisfydepends-gdebi: Fix
      pbuilder-satisfydepends-gdebi: gdebi needs to be called from outside the
      chroot as the .dsc file isn't copied yet into the chroot.
      (Debian #472407, LP #242449).
    - pbuilder-buildpackage, pbuilder.8, pbuilder-checkparams,
      pbuilder-modules: Add support for building twice in a row.
      (Debian #493538)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Nov 2008 15:29:10 +0100

pbuilder (0.183) unstable; urgency=low

  [ Junichi Uekawa ]
  * use my local approx mirror for testing, since Argentina Debconf
    place does not have connection to cdn.debian.net / cdn.debian.or.jp
  * REMOVEPACKAGES="", thanks to Sven Joachim (closes: #500002)

  [ Ben Finney ]
  * Dereference symlinks when copying hooks. (closes: #499358)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 01 Oct 2008 21:41:46 -0700

pbuilder (0.182) unstable; urgency=low

  [ Junichi Uekawa ]
  * updated japanese documentation ja.po
  * implement a bash functional unit-testing testsuite, testlib.
  * run the unit-tests in makefile make check
  * Reorder command-line options, and add error check so that things are
    better checked.
  * update japanese po translation.

  [ Ignacio Mondino ]
  * [INTL:es] Spanish translation for po-debconf template (closes:
    #493649)

  [ Loïc Minier ]
  * Pass APT::Install-Recommends=false to gdebi when possible
  * Wrap build-deps, deps, and uploaders to get cleaner diffs.
  * Suggest gdebi; closes: #488314.
  * Pass -s to dh_* instead of checking dpkg-architecture and using -a
  * Cleanup rules
  * pbuilder-buildpackage-funcs: always pass chroot to satisfydepends
  * Drop build-dep on rootstrap; only used at runtime
  * pdebuild: Move "$@" to end of "arg chain" for PDEBUILD_BUILDER calls
  * pbuilder-satisfydepends-gdebi: add "--force-yes" to apt-get call
  * UNRELEASED snapshot banner

 -- Junichi Uekawa <dancer@debian.org>  Tue, 12 Aug 2008 01:56:28 +0900

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) check
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installman pbuilder.8 pbuilderrc.5 pdebuild.1 debuild-pbuilder.1 
	dh_installchangelogs -i
	dh_installdebconf
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -s
	dh_testroot -s
	dh_installdocs -s
	dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
	dh_installchangelogs -s
	dh_link -s
	dh_compress -s -X.pdf
	dh_fixperms -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pbuilder 0.183ubuntu1~intrepid1

=== debian/changelog ===
pbuilder (0.183ubuntu1~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Wed, 05 Nov 2008 22:57:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,35 @@
 Priority: extra
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
-Uploaders: Junichi Uekawa <dancer@debian.org>, Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.1.16), docbook-xsl, ldp-docbook-xsl (>= 0.0.20040321-0.1), xsltproc, dpkg-dev (>= 1.13.19), dblatex, debconf|debconf-2.0, po-debconf, po4a
-Standards-Version: 3.8.0
+Uploaders: Junichi Uekawa <dancer@debian.org>,
+           Matt Kraai <kraai@debian.org>
+Build-Depends: debhelper (>= 4.1.16),
+               docbook-xsl,
+               ldp-docbook-xsl (>= 0.0.20040321-0.1),
+               xsltproc,
+               dpkg-dev (>= 1.13.19),
+               dblatex,
+               debconf|debconf-2.0,
+               po-debconf,
+               po4a
+Standards-Version: 3.7.2
 Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
 Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
 Package: pbuilder
 Architecture: all
-Depends: debootstrap|cdebootstrap, wget, gcc, debianutils (>= 1.13.1), coreutils (>= 4.5.8-1), ${misc:Depends}
-Recommends: fakeroot, sudo, devscripts
-Suggests: pbuilder-uml, gdebi-core, cowdancer
+Depends: debootstrap | cdebootstrap,
+         wget,
+         gcc,
+         debianutils (>= 1.13.1),
+         coreutils (>= 4.5.8-1),
+         ${misc:Depends}
+Recommends: fakeroot,
+            sudo,
+            devscripts,
+Suggests: pbuilder-uml,
+          cowdancer,
+          gdebi
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
  chroot. 
@@ -35,7 +53,9 @@
 
 Package: pbuilder-uml
 Architecture: i386 amd64
-Depends: rootstrap (>= 0.3.9-1), user-mode-linux, pbuilder (= ${source:Version})
+Depends: rootstrap (>= 0.3.9-1),
+         user-mode-linux,
+         pbuilder (= ${source:Version})
 Description: user-mode-linux version of pbuilder
  pbuilder-uml uses a User-mode-linux system, and builds Debian packages
  inside the UML image. It is an ideal system to use to check

## pbuilder 0.189ubuntu1

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,8 @@
 	pdebuild-checkparams \
 	pdebuild-user-mode-linux \
 	pdebuild-internal
+
+all:
 
 check:
 	set -e; \
@@ -105,6 +107,7 @@
 	$(INSTALL_EXECUTABLE) examples/C10shell $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/C11screen $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D10tmp $(DESTDIR)/usr/share/doc/pbuilder/examples
+	$(INSTALL_EXECUTABLE) examples/D20addnonfree $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/D90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/F90chrootmemo $(DESTDIR)/usr/share/doc/pbuilder/examples
 	$(INSTALL_EXECUTABLE) examples/B90list-missing $(DESTDIR)/usr/share/doc/pbuilder/examples

=== debian/changelog ===
pbuilder (0.189ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #402255
    - debian/control, pbuilderrc: Prefer debootstrap over cdebootstrap.
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com".
    - pbuilderrc:
      + Set default distribution to "karmic".
      + Set Ubuntu components, but comment them out, so that it still defaults
        to "main".
      + Use "sudo -E" for PBUILDERROOTCMD. (LP #175776, Debian #361362)
    - pbuilder-satisfydepends-gdebi: gdebi needs to be called from outside the
      chroot as the .dsc file isn't copied yet into the chroot.
      (Debian #472407, LP #242449).
    - pbuilder-buildpackage, pbuilder.8, pbuilder-checkparams,
      pbuilder-modules: Add support for building twice in a row.
      (Debian #493538)
    - pbuilder-satisfydepends-checkparams:
      Re-add the CHROOT variable which got lost during the merge.
      It's needed for pbuilder-satisfydepends-gdebi to work (lp: #384284).

 -- Bhavani Shankar <right2bhavi@gmail.com>  Wed, 22 Jul 2009 13:42:01 +0530

pbuilder (0.189) unstable; urgency=low

  [ Junichi Uekawa ]
  * Do not error out on etch apt for apt-get autoremove (closes: #531454)

  [ Peter Pentchev ]
  * update GPL symlink
  * Split a long description line.
  * Convert an example into a real shell script.
  * add all: target in Makefile
  * Bump Standards-Version to 3.8.1 by simply honoring the nocheck build
    option.
  * Bump the debhelper compatibility level to 7: dh_prep instead of
    dh_clean -k.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 13 Jul 2009 20:43:22 +0900

pbuilder (0.188) unstable; urgency=low

  [ Junichi Uekawa ]
  * add a note that debian/changelog should not be edited.
  * Declare bashisms explicit in buildall script. (closes: #530157)
  
  [ Loïc Minier ]
  * Call apt-get autoremove on upgrades: (closes: #322649)
  * Drop useless -o APT::Get::AutomaticRemove=true

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 May 2009 10:44:05 +0900

pbuilder (0.187ubuntu2) karmic; urgency=low

  * pbuilder-satisfydepends-checkparams:
    Re-add the CHROOT variable which got lost during the merge.
    It's needed for pbuilder-satisfydepends-gdebi to work (lp: #384284).

 -- Michael Bienia <geser@ubuntu.com>  Sat, 06 Jun 2009 16:03:23 +0200

pbuilder (0.187ubuntu1) karmic; urgency=low

  * Merge with Debian unstable; remaining Ubuntu changes:
    - debian/control, pbuilderrc: Prefer debootstrap over cdebootstrap.
    - pbuilderrc, debian/pbuilder.config, debian/pbuilder.templates: Set
      default archive mirror to "archive.ubuntu.com".
    - pbuilderrc:
      + Set default distribution to "karmic".
      + Set Ubuntu components, but comment them out, so that it still defaults
        to "main".
      + Use "sudo -E" for PBUILDERROOTCMD. (LP #175776, Debian #361362)
    - pbuilder-satisfydepends-gdebi: gdebi needs to be called from outside the
      chroot as the .dsc file isn't copied yet into the chroot.
      (Debian #472407, LP #242449).
    - pbuilder-buildpackage, pbuilder.8, pbuilder-checkparams,
      pbuilder-modules: Add support for building twice in a row.
      (Debian #493538)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 May 2009 12:49:29 +0200

pbuilder (0.187) unstable; urgency=low

  [ Junichi Uekawa ]
  * gcc is not a useful dependency of pbuilder (closes: #486492)
  * warn if --othermirror is specified and --override-config
    is not specified. (closes: #493154)
  * refactor to use 'log' function rather than using 'echo' directly.
  * implement --inputfile option.
  * handle packages line wrapping with something other than ',' in
    Build-Depends (closes: 519306)

  [ Stefan Fritsch ]
  * Bug#520251: pbuilder: Pbuilder does not umount bindmounts when ssh
    connection dies

 -- Junichi Uekawa <dancer@debian.org>  Sat, 21 Mar 2009 12:47:46 +0900

pbuilder (0.186) unstable; urgency=low

  [ shaul Karl ]
  * Fixes to pbuilderrc.5, pbuilder.1, pbuilder.8
    (closes: #513359, #513359, #513359)

  [ Junichi Uekawa ]
  * Document the default debootstrap implementation (closes: #513316)
  * /var/cache/pbuilder not empty so not removed upon purge,
    after purge configuration is still there.
    (closes: #513739, #513737)
  * made debbuildopts description in manpage more verbose
    (closes: #501390)
  * Handle comments in debian/control. (closes: #514656)
  * Lenny is released, We no longer support Etch and update regression
    testsuite accordingly.
  * revise documentation for obvious changes for lenny release, and
    squeeze updates.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 20 Feb 2009 21:56:49 +0900

pbuilder (0.185) unstable; urgency=low

  [ Junichi Uekawa ]
  * improve B92test-pkg: Allow satisfying dependency inside chroot.
  * A Hook to add Non-free distribution to sources.list.

  [ Otavio Salvador ]
  * add PDEBUILD_PBUILDER example to use cowbuilder

 -- Junichi Uekawa <dancer@debian.org>  Sat, 24 Jan 2009 00:21:30 +0900

pbuilder (0.184) unstable; urgency=low

  [ Loïc Minier ]
  * Set doc-base Section to "Debian"; (closes: #504596)
  * Nicer comments in pbuilderrc; (closes: #504599)
  * Downgrade cowdancer to Suggests; (closes: #504594)

  [ Martin Bagge ]
  * [INTL:sv] Swedish strings for pbuilder debconf (closes: #506595)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 27 Nov 2008 21:22:11 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
 Uploaders: Junichi Uekawa <dancer@debian.org>,
            Matt Kraai <kraai@debian.org>
-Build-Depends: debhelper (>= 4.1.16),
+Build-Depends: debhelper (>= 7),
                docbook-xsl,
                ldp-docbook-xsl (>= 0.0.20040321-0.1),
                xsltproc,
@@ -14,7 +14,7 @@
                debconf|debconf-2.0,
                po-debconf,
                po4a
-Standards-Version: 3.7.2
+Standards-Version: 3.8.1
 Vcs-Git: git://git.debian.org/git/pbuilder/pbuilder.git
 Vcs-Browser: http://git.debian.org/?p=pbuilder/pbuilder.git
 
@@ -22,16 +22,15 @@
 Architecture: all
 Depends: debootstrap | cdebootstrap,
          wget,
-         gcc,
          debianutils (>= 1.13.1),
          coreutils (>= 4.5.8-1),
          ${misc:Depends}
 Recommends: fakeroot,
             sudo,
-            devscripts,
+            devscripts
 Suggests: pbuilder-uml,
-          cowdancer,
-          gdebi
+          gdebi,
+          cowdancer
 Description: personal package builder for Debian packages
  pbuilder constructs a chroot system, and builds a package inside the
  chroot. 
@@ -70,4 +69,5 @@
  "pbuilder-user-mode-linux update" updates the image to the current state of
  testing/unstable/whatever
  .
- "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary in the UML
+ "pbuilder-user-mode-linux build" takes a *.dsc file and builds a binary
+ in the UML

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,11 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) check
+endif
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/pbuilder
 	dh_movefiles -ppbuilder-uml --sourcedir=debian/pbuilder
